## com.puppycrawl.tools.checkstyle.checks.j2ee
Class MessageBeanMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.MessageBeanMethodChecker

    public class MessageBeanMethodChecker

extends BeanMethodChecker

Checks the methods of a message bean. Reference: Enterprise JavaBeansTM Specification,Version 2.0, section 15.7.

Author:
  Rick Giles

Constructor Summary
`MessageBeanMethodChecker(MessageBeanCheck aCheck)` Constructs a `MessageBeanMethodChecker`.

Method Summary
`protected void` `checkCreateMethod(DetailAST aMethodAST)` Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.
`void` `checkMethods(DetailAST aAST)` Checks that the methods of a component satisfy requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
`checkMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBeanMethodChecker

    public MessageBeanMethodChecker(MessageBeanCheck aCheck)

  Constructs a `MessageBeanMethodChecker`.

  Parameters:
    `aCheck` - the message bean check.

Method Detail

### checkMethods

    public void checkMethods(DetailAST aAST)

  Checks that the methods of a component satisfy requirements.

  Overrides:
    `checkMethods` in class `MethodChecker`
  Parameters:
    `aAST` - the AST for the component definition.

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.

  Overrides:
    `checkCreateMethod` in class `BeanMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

Back to the Checkstyle Home Page